Bug 184518 - audio/gmtp: Convert to staging
Summary: audio/gmtp: Convert to staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-05 15:10 UTC by Guido Falsi
Modified: 2013-12-23 14:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.04 KB, patch)
2013-12-05 15:10 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2013-12-05 15:10:00 UTC
Convert port to support staging:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/special.html#staging

To allow this a few changes had to be made, mainly I'm now using
the normal install targets, because the updating of the gconf/gsettings
schemas is automatically performed by the pkg system.

In the gtk3 case I had to fix the install target to actually install
the schema file without updating the system schemas, which, again,
is automatically performed by the pkg system when actually installing
the resulting binary package.

Maintainer is CCed.
Comment 1 Edwin Groothuis freebsd_committer 2013-12-05 15:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-12-05 15:10:08 UTC
Maintainer of audio/gmtp,

Please note that PR ports/184518 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184518

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Guido Falsi freebsd_committer 2013-12-05 15:15:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 4 Guido Falsi freebsd_committer 2013-12-23 14:34:05 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2013-12-23 14:34:07 UTC
Author: madpilot
Date: Mon Dec 23 14:33:58 2013
New Revision: 337254
URL: http://svnweb.freebsd.org/changeset/ports/337254

Log:
  - Convert to staging
  
  PR:		ports/184518
  Submitted by:	me
  Approved by:	Maintainer timeout

Modified:
  head/audio/gmtp/Makefile
  head/audio/gmtp/files/patch-Makefile   (contents, props changed)

Modified: head/audio/gmtp/Makefile
==============================================================================
--- head/audio/gmtp/Makefile	Mon Dec 23 14:17:01 2013	(r337253)
+++ head/audio/gmtp/Makefile	Mon Dec 23 14:33:58 2013	(r337254)
@@ -22,7 +22,6 @@ WRKSRC=		${WRKDIR}/gMTP
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 USES=		gettext gmake pkgconfig
-NO_STAGE=	yes
 USE_GNOME=	glib20
 
 PORTDOCS=	*
@@ -38,19 +37,16 @@ OPTIONS_DEFAULT=	GTK2
 USE_GNOME+=	gtk20 gconf2
 GCONF_SCHEMAS=	gmtp.schemas
 ALL_TARGET=	gtk2
-INSTALL_TARGET=	register-gconf-schemas
 .endif
 
 .if ${PORT_OPTIONS:MGTK3}
 USE_GNOME+=	gtk30
 GLIB_SCHEMAS=	org.gnome.gmtp.gschema.xml
 ALL_TARGET=	gtk3
-INSTALL_TARGET=	register-gsettings-schemas
+INSTALL_TARGET=	install-gtk3
 .endif
 
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	cd ${WRKSRC} && ${GMAKE} install-doc
-.endif
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${MAKE_CMD} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} install-doc)
 
 .include <bsd.port.mk>

Modified: head/audio/gmtp/files/patch-Makefile
==============================================================================
--- head/audio/gmtp/files/patch-Makefile	Mon Dec 23 14:17:01 2013	(r337253)
+++ head/audio/gmtp/files/patch-Makefile	Mon Dec 23 14:33:58 2013	(r337254)
@@ -1,5 +1,5 @@
 --- Makefile.orig	2012-08-06 13:24:43.000000000 +0200
-+++ Makefile	2013-02-16 17:52:04.062614859 +0100
++++ Makefile	2013-12-05 14:23:50.881516874 +0100
 @@ -27,7 +27,7 @@
  LDFLAGS += -L/usr/sfw/lib -R/usr/sfw/lib
  endif
@@ -51,14 +51,23 @@
  	$(INSTALL) -m 644 images/audio-x-mp3-playlist.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
  	$(INSTALL) -m 644 images/audio-x-mpeg.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
  	$(INSTALL) -m 644 images/folder.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
-@@ -203,7 +201,6 @@
+@@ -203,7 +201,7 @@
  	$(INSTALL) -m 644 images/video-x-generic.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
  	$(INSTALL) -m 644 images/empty.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
  	$(INSTALL) -m 644 images/view-refresh.png $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)
 -	mv $(DESTDIR)$(PREFIX)/share/pixmaps/icon.png $(DESTDIR)$(PREFIX)/share/pixmaps/gMTPicon.png
++	$(INSTALL) -m 644 misc/org.gnome.gmtp.gschema.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
  	cp po/es.mo $(DESTDIR)$(PREFIX)/share/locale/es/LC_MESSAGES/gmtp.mo
  	cp po/fr.mo $(DESTDIR)$(PREFIX)/share/locale/fr/LC_MESSAGES/gmtp.mo
  	cp po/it.mo $(DESTDIR)$(PREFIX)/share/locale/it/LC_MESSAGES/gmtp.mo
+@@ -211,7 +209,6 @@
+ 	cp po/de.mo $(DESTDIR)$(PREFIX)/share/locale/de/LC_MESSAGES/gmtp.mo
+ 
+ register-gsettings-schemas: install-gtk3
+-	$(INSTALL) -m 644 misc/org.gnome.gmtp.gschema.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
+ 	glib-compile-schemas $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
+ 
+ install-doc:
 @@ -227,7 +224,7 @@
  	rm -f  $(DESTDIR)$(PREFIX)/share/$(PKG_NAME)/*
  	rm -f  $(DESTDIR)$(PREFIX)/share/applications/gMTP.desktop
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"